Get list of predefined MWs
Request to be POSTed to uri : /NorenWClientAPI/PreDefinedMWList
Request Details :
| Parameter Name | Possible value | Description |
|---|---|---|
| jData* | Should send json object with fields in below list |
| Json Fields | Possible value | Description |
|---|---|---|
| uid* | Logged in User Id |
Example:
curl --location 'https://api.kambala.co.in/NorenWClientAPI/PreDefinedMWList' \
--header 'Content-Type: text/plain' \
--header 'Authorization: Bearer ab67cdf7d4d350db03c9334bef7be8fc802fc6d5bc9342f4ac60d60d8c9930e2' \
--data 'jData={"uid":"DEMO"}
Response Details :
Response data will be in json format with below fields.
| Json Fields | Possible value | Description |
|---|---|---|
| values | Watch List names as a json array of strings. |
Sample Success Response:
{
"values": [
"NIFTYBANK",
"NIFTY50"
]
}
Sample Failure Response :
{
"stat":"Not_Ok",
"emsg":"Invalid Input : Missing uid."
}